commit:     c4ca787fbe41ec1e4489704931e1912f45194a68
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 21 08:52:49 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Nov 21 08:52:49 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c4ca787f

dev-ruby/execjs: EAPI 7, add duktape-rb

Closes: https://bugs.gentoo.org/754921
Package-Manager: Portage-3.0.9, Repoman-3.0.2
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/execjs/execjs-2.7.0-r1.ebuild | 35 ++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/dev-ruby/execjs/execjs-2.7.0-r1.ebuild 
b/dev-ruby/execjs/execjs-2.7.0-r1.ebuild
new file mode 100644
index 00000000000..b49c7109de2
--- /dev/null
+++ b/dev-ruby/execjs/execjs-2.7.0-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+inherit ruby-fakegem
+
+DESCRIPTION="ExecJS lets you run JavaScript code from Ruby"
+HOMEPAGE="https://github.com/rails/execjs";
+SRC_URI="https://github.com/rails/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x64-macos"
+
+IUSE="test"
+
+# execjs supports various javascript runtimes. They are listed in order
+# as per the documentation. For now only include the ones already in the
+# tree.
+
+RDEPEND+=" || ( dev-ruby/duktape-rb net-libs/nodejs )"
+
+all_ruby_prepare() {
+       sed -i -e "/bundler/d" Rakefile || die
+       # Avoid test requiring network connectivity. We could potentially
+       # substitute dev-ruby/coffee-script-source for this.
+       sed -i -e '/test_coffeescript/,/end/ s:^:#:' test/test_execjs.rb || die
+}

Reply via email to